import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// A simple demo with points and rays

hyperbolic_point O = hyperbolic_point(0,0);
dot(O,red);

int points = 200;
real r = 0.01;
real a = 10;
real f = 0.01;

hyperbolic_point X;
hyperbolic_point Y;
hyperbolic_ray l;

for (int j = 1; j <= points; ++j) {
        X = hyperbolic_point(r+f*j, a*j);
        Y = hyperbolic_point(r+f*(j+1), a*(j+1));
        l = hyperbolic_ray(X,Y);
        draw(l, blue);
        dot(X, black);
        dot(Y, black);
}

draw((1,1)--(1,-1)--(-1,-1)--(-1,1)--cycle);
draw(unitcircle);
